Bug 144343 - Kudzu does not restore the hotplug path if /etc/sysconfig/network-scripts is not found
Kudzu does not restore the hotplug path if /etc/sysconfig/network-scripts is ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 03:30 EST by Daniel de Kok
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.107-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-06 12:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel de Kok 2005-01-06 03:30:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041219 Firefox/1.0 (Debian package 1.0+dfsg.1-1)

Description of problem:
Kudzu does not do a twiddleHotplug(1) if
/etc/sysconfig/network-scripts is not found, leaving
/proc/sys/kernel/hotplug set to /bin/true on distributions that do not
have /etc/sysconfig/network-scripts.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cat /proc/sys/kernel/hotplug 
2. kudzu -c NETWORK -p -t 40
3. cat /proc/sys/kernel/hotplug 

Actual Results:
# cat /proc/sys/kernel/hotplug 
/sbin/hotplug
# kudzu -c NETWORK -p -t 40
# cat /proc/sys/kernel/hotplug 
/bin/true


Expected Results:
# cat /proc/sys/kernel/hotplug 
/sbin/hotplug
# kudzu -c NETWORK -p -t 40
# cat /proc/sys/kernel/hotplug 
/sbin/hotplug

Additional info:

This diff should fix it:

--- kudzu.c.orig        2005-01-06 09:11:01.000000000 +0100
+++ kudzu.c     2005-01-06 09:11:21.000000000 +0100
@@ -1008,6 +1008,7 @@
  #ifndef __LOADER__
        if ((ncfgs = scandir("/etc/sysconfig/network-scripts",&cfgs,
                             isCfg, alphasort)) < 0) {
+               twiddleHotplug(1);
                return;
        }
        cf = readConfModules(module_file);
Comment 1 Bill Nottingham 2005-01-06 12:53:29 EST
Added to all the appropriate branches, will be in future builds. Thanks!
Comment 2 Tim Powers 2005-06-09 08:52:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-126.html

Note You need to log in before you can comment on or make changes to this bug.